org.gradle.nativeplatform.toolchain

## Interface GccCommandLineToolConfiguration

- All Superinterfaces:
    CommandLineToolConfiguration

      @Incubating
      public interface GccCommandLineToolConfiguration
      extends CommandLineToolConfiguration

  An executable tool used for GCC that allows customizing the executable.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExecutable()` The name of the executable file for this tool.
    `void` | `setExecutable(String file)` Set the name of the executable file for this tool.

    - ### Methods inherited from interface org.gradle.nativeplatform.toolchain.CommandLineToolConfiguration

      `withArguments`

- - ### Method Detail

    - #### getExecutable

          String getExecutable()

      The name of the executable file for this tool.

    - #### setExecutable

          void setExecutable(String file)

      Set the name of the executable file for this tool. The executable will be located in the tool chain path.